> ## Documentation Index
> Fetch the complete documentation index at: https://mvnt.studio/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Analyze Audio Endpoint

> Analyze audio features and recommend dance styles.



## OpenAPI

````yaml /openapi.json post /analyze-audio
openapi: 3.1.0
info:
  title: MVNT Inference Server
  version: 2.1.0
servers: []
security: []
paths:
  /analyze-audio:
    post:
      summary: Analyze Audio Endpoint
      description: Analyze audio features and recommend dance styles.
      operationId: analyze_audio_endpoint_analyze_audio_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_analyze_audio_endpoint_analyze_audio_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_analyze_audio_endpoint_analyze_audio_post:
      properties:
        file:
          type: string
          contentMediaType: application/octet-stream
          title: File
      type: object
      required:
        - file
      title: Body_analyze_audio_endpoint_analyze_audio_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````